FROZEN-BUBBLE(1)

NAME
frozen-bubble - arcade/reflex game

SYNOPSIS
    frozen-bubble [OPTION]...

DESCRIPTION
The Frozen-Bubble game is a free software implementation of a popular arcade/reflex game. The game mainly consists of firing randomly chosen bubbles across the board. If the shoot ends up having a clump of at least 3 bubbles of the same color, they all pop. If some bubbles were sticked only on the popping clump, they fall. In 1-player mode, the goal is to pop all the bubbles on the board as quickly as possible. In 2-players or network mode, you have to get your opponent to "die" before you.

CONTROL
The default controlling mechanism is through the keyboard, but you can play with a joystick or a joypad if it is supported by the system (use the commandline option -ji to make sure frozen-bubble detected your joysticks). A key (or a joystick direction or button) is needed for moving the aim to the left, moving the aim to the right, center, and fire.

1-PLAYER GAME
In single player mode, as a beginner the best training is to choose Play Default Levelset, which lets you run through 100 levels of an increasing difficulty. Pop all the bubbles of each level to advance to the next level.

If you want to train for multiplayer, choose Multiplayer Training which reproduces the conditions of 2-player or network mode; the only difference is that created malus bubbles are counted in your score, and you must get the highest score you can in 2 minutes.

2-PLAYERS GAME
In 2-players mode, you can play against a friend (or a foe, actually) on the same computer. The board is populated with random bubbles, and your goal is to make big clumps to send malus bubbles to your opponent.

NETWORK GAME
If your computer has networking, you can choose LAN GAME to play games against others on your local network (up to 5 players). Frozen-Bubble will look for a game server on the local network with a UDP broadcast, connect to it if found, or start a new game server if not found.

If your computer is connected to Internet, you can choose NET GAME to play against others on Earth (or beyond?). Frozen-Bubble will retrieve the server list from the master server and propose you to choose between available servers. The flag in front of a server indicates the preferred language for chatting with others before the game is started. The ping is the roundtrip when talking with the server, choose a low ping when possible.

OPTIONS

--help
    show command-line options summary

--fullscreen
    start the game in fullscreen mode

--no-fullscreen
    don't start the game in fullscreen mode

--no-sound
    disable music and sound effects

--no-music
    disable music (but not sound effects)

--no-sfx
    disable sound effects (but not music)

--playlist directory
    use all files of the given directory as music files and play them

--playlist file
    use all files listed in the given file as music files and play them

--slow-machine
    use this option if frozen-bubble runs too slowly on your machine (disables a few animations)

--very-slow-machine
    same as before, if it is not enough (disables all that can be disabled)

--solo
    directly start solo (1p) game, with random levels

--direct
    directly start 2p game (don't display menu)

--gameserver host[:port]
    directly start NET/LAN game connecting to this game server (if port is omitted, default port is used)

--chain-reaction
    enable chain-reaction

--level number
    start directly the game, at level number

--colour-blind
    use special bubbles for colourblind people

--no-time-limit
    disable time limit for shooting (e.g. kids mode)

--player-malus number
    add number malus to the left player (can be negative - doesn't work in network mode)

--mp-training-difficulty number
    set the average duration between receiving malus bubbles in 1 player multiplayer training (default 30 (= every 30 seconds on average), the lower the harder)

--joysticks-info
    print information about detected joystick(s) on startup (if Frozen-Bubble doesn't see your joysticks/joypads, try loading the joydev module with modprobe joydev as root, then retry)

--no-echo
    when sound is enabled, disable echoing each typed character with a typewriter sound (it may get on your nerves)

--my-nick nick
    for NET/LAN games, use this nick instead of username (max 10 chars, ASCII alphanumeric plus dash and underscore only) - notice that the /nick command is also available when connected to a server to set your nick

--private
    after connecting to a server for a NET game, don't use http://hostip.info/ to retrieve your geographical position to send it to other players

--record directory
    specify the recording directory (normally, records are saved in the directory '.frozen-bubble/records' down your home directory)

--auto-record
    automatically record all applicable games (normally, a record is triggered by hitting the Print Screen key during a game)

--comment '...'
    add the comment enclosed between simple quotes to records (must not contain anything else than ASCII), it will be shown on console when playing back the record later

--replay record_file|URL
    playback the specified record file

--save-frames directory
    specify a directory where all (game) frames will be recorded; as the game is slowed down, can only be used with --replay; warning, output is huge as 50 frames of each 900 KB are saved per second (e.g. 43 MB per second); a typical use case is then to build a video out of the frames with e.g. this kind of command:

        mencoder mf:///tmp/fbframes/frame* -mf fps=50 -o /tmp/output.avi -ovc lavc -lavcopts vcodec=mpeg4

AUTHOR
Written by Guillaume Cottenceau. This manual page was originally written by Josselin Mouette <josselin.mouette at ens-lyon.org>.

Visit official homepage: <http://www.frozen-bubble.org/>

SEE ALSO
frozen-bubble-editor

COPYRIGHT
Copyright © 2000-2010 The Frozen-Bubble Team.

This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.